Distribution: 	CCux
Packager: 	Karsten Brockmann <arcam@ccux-linux.de>

Name: 		fbdesk
Version: 	1.4.1
Release: 	1 
Source0: 	%{name}-%{version}.tar.gz 
Summary: 	icon manager for fluxbox
URL: 		http://www.fluxbox.org/fbdesk/	
License: 	GPL 
Group: 		Graphical Desktop/Fluxbox
Requires:	fluxbox
BuildRequires:  imlib2-devel
BuildRequires:  glibc-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  libpng-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot 



%description 
FbDesk is a fluxbox-util application that creates and manage icons on your Fluxbox desktop. 
Implemented Features :
 
- Transparent text and icon 
- xpm, png, jpg, jfi, jfif, pnm, ppm, pgm, pbm, pam, tga, gif and bmp image loading 
- Antialiased text 
- UTF-8 and multibyte support 
- Vertical text 
- Grid Snapping 
- GUI for editing command/label and add/remove icons 
- Fluxbox menu style


%prep 
%setup -n %{name}-%{version}

%build
./configure --prefix=%{_prefix} --mandir=%_mandir --datadir=%_datadir
make

%install 
rm -rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT
#make bindir=$RPM_BUILD_ROOT%{_bindir} mandir=$RPM_BUILD_ROOT%{_mandir} datadir=$RPM_BUILD_ROOT%{_datadir} install
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files 
%defattr(-,root,root)
%{_bindir}

%clean 
rm -rf $RPM_BUILD_ROOT 

%post
ldconfig

%changelog 
* Sun Nov 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.1-1
- Version update
* Sat Aug 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- initial release 

